Bug 457174 - krunner Dialog Fails To Display
Summary: krunner Dialog Fails To Display
Status: CLOSED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: general (show other bugs)
Version: 5.25.3
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-26 21:50 UTC by Garry Williams
Modified: 2022-09-20 19:36 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments
Image From Top of Screen (4.89 KB, image/png)
2022-07-26 21:50 UTC, Garry Williams
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Garry Williams 2022-07-26 21:50:29 UTC
Created attachment 150933 [details]
Image From Top of Screen

SUMMARY

The krunner dialog refuses to display after Alt-F2 or Alt-SPACE or Run krunner from main menu.  Instead, a squar, blank window shows up just below my panel located on the top of my workspace.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.25.3
KDE Frameworks Version: 5.96.0
Qt Version: 5.15.3

ADDITIONAL INFORMATION

No log messages are produced aside from the original systemd "Starting plasma-krunner.service - KRunner..." on first attempt after login.
Comment 1 Nate Graham 2022-07-27 19:28:01 UTC
Sounds like your KRunner theming may be broken. A few questions:
1. Does it reproduce with the default Breeze Plasma style?
2. Can you paste the output of `find ~/.local/share/plasma`?
3. Are you on Wayland or X11? Does the bug show up on both, or only one?
Comment 2 Garry Williams 2022-07-27 20:21:09 UTC
(In reply to Nate Graham from comment #1)
> Sounds like your KRunner theming may be broken. A few questions:
> 1. Does it reproduce with the default Breeze Plasma style?

Bingo!  I had previously selected "Fedora Thirty-Five" style for some reason and didn't notice the problem soon enough to connect it with that change.

Thanks for the help.
Comment 3 Nate Graham 2022-07-27 20:25:37 UTC
Glad you found the issue. This suggests that there's a bug in the default Fedora-shipped Plasma style, so please please please do report it to the Fedora folks! You can do so here: https://pagure.io/fedora-kde/SIG/issues
Comment 4 Garry Williams 2022-07-27 21:38:25 UTC
(In reply to Nate Graham from comment #3)
> please do report it to the
> Fedora folks! You can do so here: https://pagure.io/fedora-kde/SIG/issues

Thanks, again Nate.

https://pagure.io/fedora-kde/SIG/issue/228
Comment 5 Alexander Lohnau 2022-07-28 04:19:57 UTC
TBH this makes me think that the main KRunner QML file should not be loaded from the global theme. Is there any usecase for themes to override this file anyways? So far I have only seen it cause bugs.
Comment 6 Nate Graham 2022-07-28 19:32:45 UTC
I agree. In my experience all it does is offer the theme the ability to break KRunner.
Comment 7 Alexander Lohnau 2022-09-05 14:20:06 UTC
Git commit e31ba756dd6a8f104c309ef6df1e8b2cf2b738c4 by Alexander Lohnau.
Committed on 05/09/2022 at 13:59.
Pushed by alex into branch 'master'.

krunner: Load RunCommand.qml file from qrc rather than lookandfeel package

This way we do not load old or broken third party RunCommand.qml files in KRunner.
This also allows us to get rid of compatibility logic for old versions of this file.

M  +1    -0    krunner/CMakeLists.txt
M  +1    -1    krunner/Messages.sh
R  +13   -15   krunner/qml/RunCommand.qml [from: lookandfeel/org.kde.breeze/contents/runcommand/RunCommand.qml - 090% similarity]
A  +10   -0    krunner/qml/krunner.qrc
M  +1    -24   krunner/view.cpp
M  +0    -17   krunner/view.h

https://invent.kde.org/plasma/plasma-workspace/commit/e31ba756dd6a8f104c309ef6df1e8b2cf2b738c4
Comment 8 Tom Kijas 2022-09-20 08:25:09 UTC
Hi, I reopened it, I have same problem through several versions of KDE (for weeks, months), I use latest, updated KDE NEON, Breeze Plasma Theme.
No matter what plasma theme I pick (incl. breeze), Krunner looks same as in screenshot.
This is output from dbg:

tomas@KijasPartners3:~$ gdb --args krunner
GNU gdb (Ubuntu 9.2-0ubuntu1~20.04.1) 9.2
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from krunner...
Reading symbols from /usr/lib/debug/.build-id/13/6b2892a67751cf7e8fd3b349bdcb4d6ffc4b9d.debug...
(gdb) run
Starting program: /usr/bin/krunner 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7ffff08f0700 (LWP 341565)]
[New Thread 0x7fffebbc7700 (LWP 341566)]
[Thread 0x7fffebbc7700 (LWP 341566) exited]
[Thread 0x7ffff08f0700 (LWP 341565) exited]
[Inferior 1 (process 341552) exited normally]
(gdb)
Comment 9 Tom Kijas 2022-09-20 08:28:51 UTC
Strange thing - I CAN pick Breeze theme in Plasma themes selector, in App style settings, but NOT in "Global Theme". 
In Global Theme I have just Dark Breeze and Breeze Twilight (and some others I've installed), no "Breeze".
Comment 10 Alexander Lohnau 2022-09-20 09:57:43 UTC
>No matter what plasma theme I pick (incl. breeze), Krunner looks same as in screenshot.

You mean the "Global Theme"?

>tomas@KijasPartners3:~$ gdb --args krunner

You did not add the --replace option here, meaning you only activate the existing instance.